%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-ejb-client
Version:       2.0.1
Release:       1%{?dist}
Summary:       JBoss EJB client
License:       LGPLv2+
URL:           http://www.jboss.org/

Source0:       https://github.com/jbossas/jboss-ejb-client/archive/%{namedversion}.tar.gz

BuildRequires: aether
BuildRequires: jboss-parent
BuildRequires: maven-local
BuildRequires: maven-injection-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-dependency-plugin
BuildRequires: maven-ear-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: jboss-ejb-3.1-api
BuildRequires: jboss-logging
BuildRequires: jboss-logging-tools
BuildRequires: jboss-logmanager
BuildRequires: jboss-marshalling
BuildRequires: jboss-remoting
BuildRequires: jboss-sasl
BuildRequires: jboss-transaction-1.1-api
BuildRequires: xnio

BuildArch:     noarch

%description
Client library for EJB applications working against JBoss AS

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Wed Jun 11 2014 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-1
- Upstream release 2.0.1.Final

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.5.Beta5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-0.4.Beta5
- Upstream release 2.0.0.Beta5

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.3.Beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-0.2.Beta3
- aether BR

* Mon Jul 22 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.0-0.1.Beta3
- Upstream release 2.0.0.Beta3

* Fri Jul 12 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.22-1
- Upstream release 1.0.22.Final

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.5-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.5-3
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 22 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.5-1
- Upstream release 1.0.5.Final
- Fixed BR

* Tue Feb 14 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.2-1
- Initial packaging

